# Listener Dockerfile
FROM python:3.13-slim

WORKDIR /app

COPY listener/requirements.txt ./
RUN pip install --no-cache-dir -r requirements.txt

# Mosquitto-Tools für MQTT-Tests installieren
RUN apt-get update && apt-get install -y --no-install-recommends mosquitto-clients && rm -rf /var/lib/apt/lists/*

COPY listener/ ./listener
COPY models/ ./models

ENV PYTHONPATH=/app
CMD ["python", "listener/listener.py"]
